点击量:116


TypeScript Plugin for Sublime Text

这个最好用,语法高亮,查找引用,变量函数跳转都支持。

注意:选这个by Microsoft ST2/ST3

https://packagecontrol.io/packages/TypeScript

1、检查依赖

插件依赖Node.js,确保Node加入到环境变量中。

2、Mac下安装

cd ~/"Library/Application Support/Sublime Text 3/Packages"
git clone --depth 1 https://github.com/Microsoft/TypeScript-Sublime-Plugin.git TypeScript

3、Windows下安装

cd "%APPDATA%\Sublime Text 3\Packages"
git clone --depth 1 https://github.com/Microsoft/TypeScript-Sublime-Plugin.git TypeScript

重启SubText.


其他

参考